package com.xinuxanu.padcatalog
{
	import flash.display.Sprite;
	import flash.filters.GlowFilter;
	import flash.text.TextField;
	
	public class CarregaInfo extends Sprite
	{
		public var tb_elements:TextField;
		public var tb_element:TextField;
		public var tb_percent:TextField;
		public var BarraElements:Sprite;
		public var BarraPercent:Sprite;
		
		private var totalFitxers:int;
		private var numElement:int = 0;
		
		public function CarregaInfo(numFitxers:int)
		{
			super();
			totalFitxers = numFitxers;
			BarraElements.width = 0;
			var sombra:GlowFilter = new GlowFilter;
			sombra.inner = false;
			sombra.color = 0x000000;
			sombra.alpha = 0.4;
			sombra.blurX = 50;
			sombra.blurY = 50;
			this.filters = [sombra];
		}
		public function init(element:String):void
		{
			numElement ++;
			tb_elements.text = "Fitxer: " + numElement + "/" + totalFitxers;
			BarraElements.width = numElement * 280 / totalFitxers;
			tb_element.text = element;
			tb_percent.text = "0 %";
			BarraPercent.width = 0;
		}
		public function carregant(bytesLoaded:int,bytesTotal:int):void
		{
			tb_percent.text = int(bytesLoaded/bytesTotal*100) + " %";
			BarraPercent.width = (bytesLoaded/bytesTotal*100) * 280 / 100;
		}
	}
}