package com.xinuxanu.padcatalog
{
	import flash.display.Shape;
	import flash.display.Sprite;
	import flash.errors.IOError;
	import flash.events.AsyncErrorEvent;
	import flash.events.Event;
	import flash.events.IOErrorEvent;
	import flash.events.MouseEvent;
	import flash.events.NetStatusEvent;
	import flash.events.StatusEvent;
	import flash.filters.GlowFilter;
	import flash.media.Video;
	import flash.net.NetConnection;
	import flash.net.NetStream;
	
	public class ElementVideo extends Sprite
	{
		private var btClose:bt_tancar = new bt_tancar;
		
		private var marcVideo:Shape = new Shape;
		private var netConn:NetConnection = new NetConnection;
		private var mediaVideo:Video = new Video;
		public var netStream:NetStream;
		
		public function ElementVideo(url:String)
		{
			super();
			//configurem stream
			netConn.connect(null);
			netStream = new NetStream(netConn);
			netStream.addEventListener(AsyncErrorEvent.ASYNC_ERROR,asyncError);
			netStream.addEventListener(NetStatusEvent.NET_STATUS, streamStatus);
			netStream.addEventListener(IOErrorEvent.IO_ERROR,netError);
			var obj:Object = new Object;
			obj.onMetaData = MetaData; 
			netStream.client = obj;
			this.addChild(mediaVideo);
			mediaVideo.attachNetStream(netStream);
			this.addChild(btClose);
			btClose.addEventListener(MouseEvent.MOUSE_DOWN,stopVideo);
			
			netStream.play(CatalegInfo.ins().pathCatalegMedia+url);
		}
		private function asyncError(e:AsyncErrorEvent):void
		{
			var missatge:MessageBox = new MessageBox("asyncError:",250,300,"alert");
			this.addChild(missatge);
		}
		private function netError(e:IOErrorEvent):void
		{
			var missatge:MessageBox = new MessageBox("IOError:"+e,250,300,"alert");
			this.addChild(missatge);
		}
		private function streamStatus(e:NetStatusEvent):void
		{
			trace(e.info.code);
			//var missatge:MessageBox = new MessageBox("NetStreamStatus: "+e.info.code,250,300,"info");
			//this.addChild(missatge);
		}
		private function MetaData(info:Object):void
		{ 
			//mides i posicionament
			mediaVideo.height = 800*mediaVideo.height/mediaVideo.width;
			mediaVideo.width = 800;
			this.x = 112;
			this.y = 359 - mediaVideo.height/2;
			//generem marc
			marcVideo.graphics.beginFill(CatalegInfo.ins().colortext1.color,1);
			marcVideo.graphics.drawRect(-10,-10,mediaVideo.width+20,mediaVideo.height+20);
			marcVideo.graphics.endFill();
			this.addChildAt(marcVideo,0);
			//creem sombra
			var sombra:GlowFilter = new GlowFilter;
			sombra.inner = false;
			sombra.color = 0x000000;
			sombra.alpha = 0.6;
			sombra.blurX = sombra.blurY = 100;
			marcVideo.filters = [sombra];
			btClose.x = marcVideo.width - 25;
			btClose.y = - 30;
		}
		private function stopVideo(e:Event):void
		{
			netStream.pause();
		}
	}
}