package com.xinuxanu.padcatalog
{
	import com.xinuxanu.padcatalog.*;
	import flash.display.SimpleButton;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	
	public class MenuNavegacio extends Sprite
	{
		public var bt_config:SimpleButton;
		
		public function MenuNavegacio()
		{
			super();
			trace("Barra navegacio carregada!");
			bt_config.addEventListener(MouseEvent.CLICK,goConfig);
		}
		private function goConfig(e:Event):void
		{
			trace("Go config!");
			Main(parent.parent.parent).changeScreen("config");
		}
		public function navegacio(tipusPage:String,Id:String=null):void
		{
			clearNav();
			var i:int;
			switch(tipusPage)
			{
				case "portada":
					//no s'han d'afegir elements...
					break;
				case "catpage":
					for(i=0;i<CatalegInfo.ins().xmlData.pages.page.length();i++)
					{
						if(CatalegInfo.ins().xmlData.pages.page[i].id==Id)
						{
							//afegir nomPage
							var btPage:BtMenuNav = new BtMenuNav(CatalegInfo.ins().xmlData.pages.page[i].titol,"catpage",CatalegInfo.ins().xmlData.pages.page[i].id);
							this.addChild(btPage);
							btPage.x = 130;
							btPage.y = 18;	
						}
					}				
					break;
				case "categoria":
					for(i=0;i<CatalegInfo.ins().xmlData.categories.cat.length();i++)
					{
						if(CatalegInfo.ins().xmlData.categories.cat[i].id==Id)
						{
							//afegir categoria
							var btCat:BtMenuNav = new BtMenuNav(CatalegInfo.ins().xmlData.categories.cat[i].name,"categoria",CatalegInfo.ins().xmlData.categories.cat[i].id);
							this.addChild(btCat);
							btCat.y = 18;
							//comprovar si te pare i mes...
							if(CatalegInfo.ins().xmlData.categories.cat[i].pare!=0)
							{
								afegirPare(CatalegInfo.ins().xmlData.categories.cat[i].pare);
							}
							generaPath();
						}
					}
					break;
				case "catelement":
					for(i=0;i<CatalegInfo.ins().xmlData.posts.post.length();i++)
					{
						if(CatalegInfo.ins().xmlData.posts.post[i].id == Id)
						{
							//afegir element
							var btElement:BtMenuNav = new BtMenuNav(CatalegInfo.ins().xmlData.posts.post[i].titol,"catelement",CatalegInfo.ins().xmlData.posts.post[i].id); //es pot canviar tots els cattype i id...!!!
							this.addChild(btElement);
							btElement.y = 18;
							//generem path categoria i pares
							afegirPare(CatalegInfo.ins().xmlData.posts.post[i].cat);
						}
						generaPath();
					}
					break;
			}
		}
		private function afegirPare(idPare:String):void
		{
			//afegim separador
			var separador:Separador = new Separador;
			this.addChildAt(separador,3);
			separador.y=8;
			//afegim pare
			for(var i:int=0;i<CatalegInfo.ins().xmlData.categories.cat.length();i++)
			{
				if(CatalegInfo.ins().xmlData.categories.cat[i].id==idPare)
				{
					var btCat:BtMenuNav = new BtMenuNav(CatalegInfo.ins().xmlData.categories.cat[i].name,"categoria",CatalegInfo.ins().xmlData.categories.cat[i].id);
					this.addChildAt(btCat,3);//el fiquem per davant del fill...
					btCat.y = 18;
					if(CatalegInfo.ins().xmlData.categories.cat[i].pare!=0) //carrega avis i més... es genera un bucle
					{
						afegirPare(CatalegInfo.ins().xmlData.categories.cat[i].pare);
					}
				}
			}	
		}
		private function generaPath():void
		{
			for(var j:int=3;j<this.numChildren;j++)
			{
				this.getChildAt(j).x = this.getChildAt(j-1).x + this.getChildAt(j-1).width + 10;
			}
		}
		private function clearNav():void
		{
			for(var i:int=this.numChildren-1;i>2;i--)//eliminem tots els fills menys (0,1,2)
			{
				this.removeChildAt(i);
			}
		}
	}
}