package com.xinuxanu.padcatalog
{
	import flash.display.Shape;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.filters.GlowFilter;
	import flash.text.TextField;
	
	public class MessageBox extends Sprite
	{
		public var tb_message:TextField;
		public var alertIco:Sprite;
		public var infoIco:Sprite;
		public var errorIco:Sprite;
		
		private var btClose:bt_tancar = new bt_tancar;
		private var box:Shape = new Shape;
		
		public function MessageBox(missatge:String,posX:int=250,posY:int=300,tipus:String="info")
		{
			super();
			this.x = posX;
			this.y = posY;
			tb_message.text = missatge;
			tb_message.height = tb_message.numLines*25;
			
			alertIco.visible = infoIco.visible = errorIco.visible = false;
			switch(tipus)
			{
				case "info":
					infoIco.visible = true;
					break;
				case "alert":
					alertIco.visible = true;
					break;
				case "error":
					errorIco.visible = true;
					break;
				default:
					infoIco.visible = true;
			}
			box.graphics.beginFill(0x333333,0.75);
			box.graphics.lineStyle(2,0xCCCCCC);
			if(tb_message.height+10<100)
			{
				box.graphics.drawRoundRect(0,0,500,100,20);
			}else{
				box.graphics.drawRoundRect(0,0,500,tb_message.height+10,20);
			}
			box.graphics.endFill();
			this.addChildAt(box,0);
			var sombra:GlowFilter = new GlowFilter;
			sombra.inner = false;
			sombra.color = 0x000000;
			sombra.alpha = 0.4;
			sombra.blurX = 50;
			sombra.blurY = 50;
			box.filters = [sombra];
			
			this.addChild(btClose);
			btClose.x = box.width-20;
			btClose.y = -15;
		}
	}
}