package com.xinuxanu.padcatalog
{
	import flash.display.Loader;
	import flash.display.LoaderInfo;
	import flash.display.Shape;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.IOErrorEvent;
	import flash.events.ProgressEvent;
	import flash.net.URLRequest;
	import flash.text.TextField;
	import flash.text.TextFormat;
	
	public class Portada extends Sprite
	{
		public var tb_nom_cataleg:TextField;
		
		private var imgLoader:Loader;
		private var imgErrCount:int = 0;
		
		public function Portada()
		{
			super();
			trace("Portada carregada!");
			//carreguem img fons portada
			imgLoader = new Loader;
			//listeners loader 
			imgLoader.contentLoaderInfo.addEventListener(Event.COMPLETE,imgComplete);
			imgLoader.contentLoaderInfo.addEventListener(ProgressEvent.PROGRESS,imgLoading);
			imgLoader.contentLoaderInfo.addEventListener(IOErrorEvent.IO_ERROR,errorLoading);
			imgLoader.load(new URLRequest(CatalegInfo.ins().pathCatalegMedia+CatalegInfo.ins().imgPortada));
		}
		private function imgLoading(e:Event):void
		{
			trace("Loading img:"+imgLoader.contentLoaderInfo.bytesLoaded/imgLoader.contentLoaderInfo.bytesTotal*100+"%");
		}
		private function errorLoading(e:IOErrorEvent):void
		{
			trace("Error: "+e.text);
			imgErrCount ++;
			if(imgErrCount<2)
			{
				imgLoader = new Loader;
				imgLoader.contentLoaderInfo.addEventListener(Event.COMPLETE,imgComplete);
				imgLoader.contentLoaderInfo.addEventListener(ProgressEvent.PROGRESS,imgLoading);
				imgLoader.contentLoaderInfo.addEventListener(IOErrorEvent.IO_ERROR,errorLoading);
				imgLoader.load(new URLRequest(CatalegInfo.ins().pathCatalegMedia+CatalegInfo.ins().xmlData.theme.fons_def));
			}else{
				var fons:Shape = new Shape;
				fons.graphics.beginFill(CatalegInfo.ins().colortext1.color,1);
				fons.graphics.drawRect(0,0,1024,718);
				fons.graphics.endFill();
				this.addChild(fons);
				showPortada();
			}
		}
		private function imgComplete(e:Event):void
		{
			showPortada();
		}
		private function showPortada():void
		{
			//mostrem elements
			tb_nom_cataleg.text = CatalegInfo.ins().nomCataleg;
			tb_nom_cataleg.transform.colorTransform = CatalegInfo.ins().color1;
			this.addChildAt(imgLoader,0);
			menuPortada();
		}
		private function menuPortada():void
		{
			//crea el menú de la portada
			var menuList:Array = new Array;
			var bt_menu:BtMenuPortada;
			// Llistem cat general i pagines
			var i:int;
			for(i=0;i<CatalegInfo.ins().xmlData.categories.cat.length();i++)
			{
				if(CatalegInfo.ins().xmlData.categories.cat[i].id=="1")//1 és la cat general
				{
					menuList.push(bt_menu = new BtMenuPortada(CatalegInfo.ins().xmlData.categories.cat[i].name,"categoria",CatalegInfo.ins().xmlData.categories.cat[i].id));
					menuList[0].x = 550;
					menuList[0].y = 170;
					this.addChild(menuList[0]);
				}
			}	
			for(i=0;i<CatalegInfo.ins().xmlData.pages.page.length();i++)
			{
				// afegitm pagines a array //els +1 son una desviació per afegir el boto de la categoria general...
				menuList.push(bt_menu = new BtMenuPortada(CatalegInfo.ins().xmlData.pages.page[i].titol,"catpage",CatalegInfo.ins().xmlData.pages.page[i].id));
				menuList[i+1].x = 550;
				menuList[i+1].y = (i+2)*70+100;
				this.addChild(menuList[i+1]);
			}
		}
	}
}