package com.xinuxanu.padcatalog
{
	import com.xinuxanu.padcatalog.*;
	
	import flash.display.SimpleButton;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.text.TextField;
	
	public class ConfigScreen extends Sprite
	{
		public var bt_fet:SimpleButton;
		public var tb_titol_seccio:TextField;
		public var bt_general:SimpleButton;
		public var bt_cataleg:SimpleButton;
		
		public var TabContainer:Sprite;
		private var actualTab:String;//general o cataleg
		private var tabReference:Sprite;
		
		public function ConfigScreen()
		{
			super();
			//inicialitzem EventListeners...
			bt_fet.addEventListener(MouseEvent.CLICK,goHome);
			bt_general.addEventListener(MouseEvent.CLICK,goGeneralTab);
			bt_cataleg.addEventListener(MouseEvent.CLICK,goCatalegTab);
			trace("Config Loaded!");
			//mostrem pestanya general
			tb_titol_seccio.text = actualTab = "General";
			refreshTab();
			
		}
		private function goHome(e:Event):void
		{
			trace("Go Home!");
			Main(parent.parent).changeScreen("home");
		}
		private function goGeneralTab(e:Event):void
		{
			trace("Go GeneralTab!");
			tb_titol_seccio.text = "General";
			changeTab("General");
		}
		private function goCatalegTab(e:Event):void
		{
			trace("Go CatalegTab");
			tb_titol_seccio.text = "Catàleg";
			changeTab("Cataleg");
		}
		public function changeTab(newTab:String):void
		{
			if(newTab!=actualTab)
			{
				actualTab = newTab;
				refreshTab();
			}
		}
		public function refreshTab():void
		{
			if(tabReference!=null)
			{
				TabContainer.removeChild(tabReference);
			}
			switch(actualTab)
			{
				case "General": tabReference = new TabGeneral; break;
				case "Cataleg": tabReference = new TabCataleg; break;
			}
			TabContainer.addChild(tabReference);
		}
	}
}