package com.xinuxanu.padcatalog
{
	import flash.display.Loader;
	import flash.display.LoaderInfo;
	import flash.display.Shape;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.IOErrorEvent;
	import flash.events.MouseEvent;
	import flash.events.ProgressEvent;
	import flash.filters.GlowFilter;
	import flash.net.URLRequest;
	
	public class ElementImg extends Sprite
	{
		private var imgLoader:Loader = new Loader;
		private var marc:Shape = new Shape;
		
		private var btClose:bt_tancar = new bt_tancar;
		
		public function ElementImg(url:String)
		{
			super();
			imgLoader.contentLoaderInfo.addEventListener(Event.COMPLETE,imgComplete);
			imgLoader.contentLoaderInfo.addEventListener(ProgressEvent.PROGRESS,imgLoading);
			imgLoader.contentLoaderInfo.addEventListener(IOErrorEvent.IO_ERROR,imgError);
			imgLoader.load(new URLRequest(CatalegInfo.ins().pathCatalegMedia+url));
		}
		private function imgComplete(e:Event):void
		{
			//ajustar mides
			imgLoader.height = 800*imgLoader.height/imgLoader.width;
			imgLoader.width = 800;
			//marc i sombra
			marc.graphics.beginFill(CatalegInfo.ins().colortext1.color,1);
			marc.graphics.drawRect(-10,-10,imgLoader.width+20,imgLoader.height+20);
			marc.graphics.endFill();
			var sombra:GlowFilter = new GlowFilter;
			sombra.inner = false;
			sombra.color = 0x000000;
			sombra.alpha = 0.6;
			sombra.blurX = sombra.blurY = 100;
			marc.filters = [sombra];		
			//posicionar
			this.x = 112;
			this.y = 359-imgLoader.height/2;
			this.addChild(marc);
			this.addChild(imgLoader);
			this.addChild(btClose);
			btClose.x = marc.width - 25;
			btClose.y = - 30;
		}
		private function imgLoading(e:Event):void
		{
			trace("Loading img: "+imgLoader.contentLoaderInfo.bytesLoaded/imgLoader.contentLoaderInfo.bytesTotal*100+"%");
		}
		private function imgError(e:IOErrorEvent):void
		{
			trace("Error: "+e.text);
		}
	}
}